Package org.springframework.security.config.http

# Enum Class SessionCreationPolicy

java.lang.Object
java.lang.Enum<SessionCreationPolicy>
org.springframework.security.config.http.SessionCreationPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<SessionCreationPolicy>`, `Constable`

public enum SessionCreationPolicy extends Enum<SessionCreationPolicy>
Specifies the various session creation policies for Spring Security.

Since:
  3.1

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALWAYS`
Always create an `HttpSession`
`IF_REQUIRED`
Spring Security will only create an `HttpSession` if required
`NEVER`
Spring Security will never create an `HttpSession`, but will use the `HttpSession` if it already exists
`STATELESS`
Spring Security will never create an `HttpSession` and it will never use it to obtain the `SecurityContext`

## Method Summary

Modifier and Type
Method
Description
`static SessionCreationPolicy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SessionCreationPolicy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ALWAYS

public static final SessionCreationPolicy ALWAYS
Always create an `HttpSession`

### NEVER

public static final SessionCreationPolicy NEVER
Spring Security will never create an `HttpSession`, but will use the `HttpSession` if it already exists

### IF_REQUIRED

public static final SessionCreationPolicy IF_REQUIRED
Spring Security will only create an `HttpSession` if required

### STATELESS

public static final SessionCreationPolicy STATELESS
Spring Security will never create an `HttpSession` and it will never use it to obtain the `SecurityContext`

## Method Details

### values

public static SessionCreationPolicy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SessionCreationPolicy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null